﻿A feladatok megoldására elkészített SQL parancsokat 
illessze be a feladat sorszáma után!

1. feladat:
CREATE DATABASE webvill DEFAULT CHARACTER SET utf8 COLLATE utf8_hungarian_ci;

3. feladat:
ALTER TABLE termekek ADD FOREIGN KEY (kazon) REFERENCES kategoriak(kazon);
ALTER TABLE rendelesek ADD FOREIGN KEY (tazon) REFERENCES termekek(tazon);

4. feladat:
ALTER TABLE termekek ADD INDEX (tnev);

5. feladat:
INSERT INTO kategoriak (kazon, knev) VALUES(9, 'Fénycsövek');

6. feladat:
UPDATE termekek
SET fesz = CONCAT(fesz,'V')
WHERE fesz NOT LIKE '%V';

7. feladat:
SELECT tnev, SUM(db)
FROM rendelesek INNER JOIN termekek ON (rendelesek.tazon = termekek.tazon)
GROUP BY tnev
ORDER BY SUM(db) DESC LIMIT 1;

8. feladat:
SELECT knev, tnev, rdatum, db * ar 
FROM termekek 
  INNER JOIN kategoriak ON (termekek.kazon = kategoriak.kazon) 
  INNER JOIN rendelesek ON (rendelesek.tazon = termekek.tazon) 
WHERE rdatum BETWEEN '2015-03-01' AND '2015-03-05' AND telj = 25;

9. feladat:
SELECT knev, COUNT(termekek.kazon)
FROM kategoriak LEFT JOIN termekek ON (termekek.kazon = kategoriak.kazon)
GROUP BY knev;